# Makefile for XC
# This file was generated by Configure on Tue Oct 19 00:42:40 MET 1993 by 

BINMODE	= 4755
CATMAN	= true
CC		= cc
#CFLAGS	= -g -DNEXT -DTERMIOS -posix
CFLAGS	= -O -DNEXT -DTERMIOS
GROUP	= uucp
INSDIR	= /usr/local/bin
LIBDIR	= /usr/local/lib/xc
LDFLAGS	= -ltermcap
MANDIR	= /usr/man/catl
MANEXT	= l
SHRINK  = gzip
SFLAGS	= -9
MANMODE	= 0444
OWNER	= uucp

# you should have all of these files:

MANIFEST	=\
	.aus\
	.autocis\
	.callhq\
	.cisdial\
	.exrc\
	.pass\
	.phonelist\
	.rz\
	.sz\
	.temp_opt\
	.uni\
	.xc\
	Configure\
	Copyright\
	Makefile\
	Makefile.in\
	README\
	bsdinst.sh\
	call\
	callback\
	cisdownload\
	myman\
	xcfront\
	xc.h.in\
	xc.nro\
	xcb+.c\
	xcdbglog.c\
	xcdial.c\
	xcmain.c\
	xcport.c\
	xcscrpt.c\
	xcsubs.c\
	xcterm.c\
	xcxmdm.c

OBJS =	xcb+.o\
		xcdbglog.o\
		xcdial.o\
		xcmain.o\
		xcport.o\
		xcscrpt.o\
		xcsubs.o\
		xcterm.o\
		xcxmdm.o

all:	xc
	@echo "All targets are up to date"
	@echo "Now you must su to 'root', and then execute 'make install.suid'"
	@echo "The manual page can be installed by typing 'make catman'"

xc:		$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o xc $(LDFLAGS) 

install.suid: 	xc
	-mv $(INSDIR)/xc $(INSDIR)/xc-
	-./bsdinst.sh -c -o $(OWNER) -g $(GROUP) -m $(BINMODE) -s xc $(INSDIR)/xc
	-@ls -l ./xc $(INSDIR)/xc $(INSDIR)/xc-
	@echo
	@echo "The sample xc scripts (.aus .autocis .callhq .cisdial .exrc"
	@echo ".pass .phonelist .rz .sz .temp_opt .uni .xc) should be manually"
	@echo "moved to the $(LIBDIR) directory."
	
	@echo "The shell scripts (call callback cisdownload xcfront) should be
	@echo "similarly moved to the $(INSDIR) directory."
	@echo
	@echo "We do not do this automatically, as you may want to recompile xc"
	@echo "with different options, yet not touch these scripts once you've"
	@echo "personalized them with your own passwords and telephone numbers."

catman:	xc.nro myman
	if $(CATMAN); then				\
		tbl xc.nro | nroff myman - | col > xc.manpage;	\
		./bsdinst.sh -c -m $(MANMODE) xc.manpage $(MANDIR)/xc.$(MANEXT); \
		$(SHRINK) $(SFLAGS) $(MANDIR)/xc.$(MANEXT);  \
		ls -l $(MANDIR)/xc.$(MANEXT)*; \
	else \
		@echo "Missing man-page directory, tbl, col, and/or nroff"; \
	fi

clean:;	rm -f $(OBJS) xc xc.man xc.out core man catman\
		configure.out Makefile.xc xc.h *~ *\#

$(OBJS):	xc.h

xc.h:	xc.h.in Configure
	./Configure

shar:
	shar -awF -L52 -nXC -oXC -s jpr@jpr.com $(MANIFEST)
	@ls -l XC.??

taz:
	tar cf - $(MANIFEST) | compress > XC.tar.Z
	@ls -l *.Z

tag:
	tar cf - $(MANIFEST) | gzip -9 > XC.tar.gz
	@ls -l *.gz

lha:
	lha c XC $(MANIFEST)
	@ls -L XC.A XC.lha

shark:
	shark $(MANIFEST) > XC.shk
	@ls -l *shk
